Links to issue notes should highlight the linked note

2016-06-03 17:22 - Robert Pollak

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed   

Description

When I follow e.g. the link #4806#note-9, the issue page opens without any indication where the linked note is: The web browser

cannot scroll it to the top, because it is one of the last notes.

It would be very helpful to have the linked note visually emphasized it this case, e.g. by using a lightly colored background.

Related issues:

Related to Redmine - Feature #28330: Links to wiki headings should highlight ... Closed

Related to Redmine - Feature #30834: Links to forum replies should highlight ... Closed

Has duplicate Redmine - Feature #15410: Highlighting of comment anchors Closed

Associated revisions

Revision 16776 - 2017-07-08 16:56 - Jean-Philippe Lang

Note URLs should highlight the linked note (#22978).

Patch by Mizuki ISHIKAWA.

Revision 16777 - 2017-07-08 17:01 - Jean-Philippe Lang

Change highlight settings (#22978).

Revision 16912 - 2017-07-29 14:18 - Jean-Philippe Lang

Use CSS to highlight the journal title (#22978).

Revision 16914 - 2017-07-29 14:46 - Jean-Philippe Lang

Removes unused class (#22978).

History

#1 - 2016-06-22 13:36 - Toshi MARUYAMA

- Description updated

#2 - 2017-06-28 04:10 - Mizuki ISHIKAWA

- File click_the_link.gif added

- File highlight_the_linked_note.patch added

I wrote a patch to implement this feature.

Please see the attached gif animation: click_the_link.gif

#3 - 2017-06-28 07:00 - Go MAEDA

- Target version set to Candidate for next major release

I am sure this feature can improve UX. Discourse (open source discussion board software) has similar feature. You can try highlight feature of

Discourse by clicking https://meta.discourse.org/t/educate-users-about-paragraphs/65220/9 .

The patch from Mizuki Ishikawa looks good to me but I think it is safer to change the patch as follows:

--- highlight_the_linked_note.patch.org    2017-06-28 13:44:46.000000000 +0900

+++ highlight_the_linked_note.patch    2017-06-28 13:45:00.000000000 +0900
https://www.redmine.org/issues/4806#note-9
https://www.redmine.org/attachments/18622
https://www.discourse.org/
https://meta.discourse.org/t/educate-users-about-paragraphs/65220/9


@@ -12,7 +12,7 @@

 +  $(window).on('load hashchange',function(){

 +    var hash = location.hash;

 +    if (hash){

-+      $('div' + hash).css('background-color', '#ffffdd').animate({backgroundColor: ''}, 2000);

++      $('#history div' + hash).css('background-color', '#ffffdd').animate({backgroundColor: ''}, 2000);

 +    }

 +  });

 +});

#4 - 2017-06-28 08:58 - Robert Schneider

+1 Nice improvement!

#5 - 2017-06-28 09:31 - Go MAEDA

- File highlight_the_linked_note-v2.patch added

I slightly changed the patch. The new patch checks if the format of the fragment identifier is "#change-nnn" or "#note-nnn".

#6 - 2017-06-29 04:56 - Mizuki ISHIKAWA

- File highlight_the_linked_note-v3.patch added

Updated my patch. Replaced a color value with a CSS class in the view.

#7 - 2017-07-03 17:33 - Mischa The Evil

- Target version changed from Candidate for next major release to 4.1.0

#8 - 2017-07-06 16:01 - Yuuki NARA

+1

#9 - 2017-07-08 17:01 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks. I've made the transition a bit longer and changed the color.

#10 - 2017-07-08 17:01 - Jean-Philippe Lang

- Subject changed from Note URLs should highlight the linked note to Links to issue notes should highlight the linked note

#11 - 2017-07-08 18:37 - Jean-Philippe Lang

- Target version changed from 4.1.0 to 4.0.0

#12 - 2017-07-10 08:22 - Robert Pollak

Thanks to everyone involved!

#13 - 2018-03-14 01:58 - Go MAEDA

- Related to Feature #28330: Links to wiki headings should highlight the linked heading added

#14 - 2018-03-29 02:13 - Go MAEDA

- Has duplicate Feature #15410: Highlighting of comment anchors added

#15 - 2019-02-19 03:17 - Go MAEDA

- Related to Feature #30834: Links to forum replies should highlight the linked reply added

Files

click_the_link.gif 318 KB 2017-06-28 Mizuki ISHIKAWA

highlight_the_linked_note.patch 525 Bytes 2017-06-28 Mizuki ISHIKAWA

highlight_the_linked_note-v2.patch 555 Bytes 2017-06-28 Go MAEDA

2025-07-16 2/3



highlight_the_linked_note-v3.patch 1.14 KB 2017-06-29 Mizuki ISHIKAWA
